LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDataPilotTables Interface Referencepublished

provides access to the data pilot tables via name and inserting and removing data pilot tables. More...

`import"XDataPilotTables.idl";`

Inheritance diagram for XDataPilotTables:

## Public Member Functions
com::sun::star::sheet::XDataPilotDescriptor | createDataPilotDescriptor ()
| creates a data pilot descriptor. More...
void | insertNewByName ([in] string aName, [in] com::sun::star::table::CellAddress OutputAddress, [in] com::sun::star::sheet::XDataPilotDescriptor xDescriptor)
| creates a new data pilot table and adds it to the collection. More...
void | removeByName ([in] string aName)
| deletes a data pilot table from the collection. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the data pilot tables via name and inserting and removing data pilot tables.

This interface extends the interface com::sun::star::container::XNameAccess which provides access to existing data pilot tables in the collection.

See also
  com::sun::star::sheet::DataPilotTables
  com::sun::star::sheet::DataPilotTable

## Member Function Documentation

## ◆ createDataPilotDescriptor()

com::sun::star::sheet::XDataPilotDescriptor createDataPilotDescriptor | ( |  | ) |

creates a data pilot descriptor.

This descriptor can be used with XDataPilotTables::addTable().

See also
  com::sun::star::sheet::DataPilotDescriptor

## ◆ insertNewByName()

void insertNewByName | ( | [in] string | aName,
|  | [in] com::sun::star::table::CellAddress | OutputAddress,
|  | [in] com::sun::star::sheet::XDataPilotDescriptor | xDescriptor
| ) |  |

creates a new data pilot table and adds it to the collection.

Parameters

  aName | the name of the data pilot table used in the collection.
  OutputAddress | the top left cell of the location of the data pilot table in the spreadsheet document.
  xDescriptor | the descriptor containing the settings of the data pilot table.

See also
  com::sun::star::sheet::DataPilotDescriptor

## ◆ removeByName()

void removeByName | ( | [in] string | aName | ) |

deletes a data pilot table from the collection.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDataPilotTables.idl